# classes/phing/tasks/ext/phpunit/BatchTest.php

## \BatchTest
jump to top

Scans a list of files given by the fileset attribute, extracts valid test cases

author
  Michiel Rook
package
  phing.tasks.ext.phpunit
since
  2.1.0
version
  $Id: BatchTest.php 972 2010-11-09 16:06:29Z mrook $

### Properties

`$classpath= 'NULL'`

the classpath to use with Phing::__import() calls

Default value `NULL` Details

Type

`$excludeClasses= 'array'`

names of classes to exclude

Default value `array` Details

Type

`$filesets= 'array'`

the list of filesets containing the testcase filename rules

Default value `array` Details

Type

`$name= 'Phing Batchtest'`

name of the batchtest/suite

Default value `Phing Batchtest` Details

Type

`$project= 'NULL'`

the reference to the project

Default value `NULL` Details

Type

### Methods

`__construct( \Project $project ) :`
Create a new batchtest instance
Parameters

Name | Type | Description
--- | --- | ---
$project | \Project | the project it depends on.

`addFileSet( \FileSet $fileset ) :`
Add a new fileset containing the XML results to aggregate
Parameters

Name | Type | Description
--- | --- | ---
$fileset | \FileSet | the new fileset containing XML results.

`createClasspath( ) :`
Creates a new Path object
`elements( ) : array`
Returns an array of test cases and test suites that are declared by the files included by the filesets
Returns

Type | Description
--- | ---
array |

`filterTests( $input ) :`
Filters an array of classes, removes all classes that are not test cases or test suites, or classes that are declared abstract
Parameters

Name | Type | Description
--- | --- | ---
$input |  |

`getClasspath( ) :`
Returns the classpath
`getFilenames( ) : array`
Iterate over all filesets and return the filename of all files.
Returns

Type | Description
--- | ---
array |

`getTestSuite( ) : \PHPUnit_Framework_TestSuite`
Returns a testsuite containing all the tests in this batch
Returns

Type | Description
--- | ---
\PHPUnit_Framework_TestSuite |

`isTestCase( $input ) :`
Checks wheter $input is a PHPUnit Test
Parameters

Name | Type | Description
--- | --- | ---
$input |  |

`setClasspath( $classpath ) :`
Sets the classpath
Parameters

Name | Type | Description
--- | --- | ---
$classpath |  |

`setExclude( $exclude ) :`
Sets the classes to exclude
Parameters

Name | Type | Description
--- | --- | ---
$exclude |  |

`setName( $name ) :`
Sets the name of the batchtest/suite
Parameters

Name | Type | Description
--- | --- | ---
$name |  |

Documentation was generated by DocBlox 0.13.1.